<?php
	//引入语言包
	$mo_langpackage=new moodlp;
	
	//变量取得
	$url_uid= short_check(get_argg('user_id'));
	$ses_uid=get_sess_userid();
	$userico=get_sess_userico();
	//引入模块公共权限过程文件
	$is_self_mode='partLimit';
	$is_login_mode='';
	require("foundation/fcontent_format.php");
	require("foundation/auser_validate.php");
	require("foundation/module_users.php");
	require("foundation/fpages_bar.php");
	//数据表定义区
	$t_mood = $tablePreStr."mood";
	$t_users = $tablePreStr."users";
	//当前页面参数
	$page_num=trim(get_argg('page'));

	$dbo=new dbex;
	//读写分离定义方法
	dbtarget('r',$dbServs);

	$sql = "select * from $t_mood where user_id=$userid order by add_time desc limit 0,50";
	$dbo->setPages($set_page_data_num,$page_num);//设置分页	
	$mood_rs = $dbo ->getRs($sql);
	$page_total=$dbo->totalPage;//分页总数
	
	//分页显示
	$isNull=0;
	$data_none='content_none';
	$show_data='';	
	if(empty($mood_rs)){
		$isNull=1;
		$data_none='';
		$show_data='content_none';
	}
	$button="content_none";
	if($is_self=='Y'){
		$data_none='content_none';
		$show_data='';
		$mood_title=$mo_langpackage->mo_mood;
		$button="";
	}else{
		$holder_name=get_hodler_name($dbo,$t_users,$url_uid);
		$mood_title=str_replace("{holder}",filt_word($holder_name),$mo_langpackage->mo_who);		
	}
?>